/*
 *  TOPPERS/SSP Kernel
 *      Smallest Set Profile Kernel
 * 
 *  Copyright (C) 2007 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2013-2015 by Naoki Saito
 *             Nagoya Municipal Industrial Research Institute, JAPAN
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 */

/*
 *  ƥॵӥΥåȰ¸(LPCXPRESSO-LPC812 )
 *
 *  ƥॵӥΥåȰ¸Υ󥯥롼ɥե롥Υե
 *  Ƥϡݡͥȵҥե˵Ҥ졤Υե
 *  ̵ʤ븫ߡ
 */

#ifndef TOPPERS_TARGET_SYSSVC_H
#define TOPPERS_TARGET_SYSSVC_H

/*
 *  åȥƥΥϡɥ񸻤
 */
#include "lpcxpresso_lpc812.h"

/*
 *  ȥ졼˴ؤ
 */
#ifdef TOPPERS_TRACE_ENABLE
#include "logtrace/trace_config.h"
#endif /* TOPPERS_TRACE_ENABLE */

/*
 *  ưåΥåȥƥ̾
 */
#define TARGET_NAME    "LPCXPRESSO-LPC812"

/*
 *  ưå˥åȰ¸ɽ
 *  ɲä뤿Υޥ
 */
#ifdef PRC_COPYRIGHT
#define TARGET_COPYRIGHT	PRC_COPYRIGHT
#endif /* PRC_COPYRIGHT */

/*
 *  ƥ٥ϤΤʸ
 *
 *  åȰ¸ˡǡʸcɽ//¸롥
 */
extern void	target_fput_log(char c);

/*
 *  ꥢݡȿ
 *
 *  ٥ɥ饤(PDIC)Ǥ USART0ʥݡֹ1ˤ USART1ʥݡֹ2ˤ򥵥ݡȤ
 *  ꥢ롦󥿥եɥ饤(GDIC)Ǥ1ݡȤΤߥݡȤ
 *  
 */
#define TNUM_PORT        (1)	/* GDICǥݡȤ륷ꥢݡȤο */
#define TNUM_SIOP        (2)	/* PDICǥݡȤ륷ꥢݡȤο */
#if TNUM_PORT > TNUM_SIOP
#error "It must be TNUM_PORT <= TNUM_SIOP"
#endif


/*
 *  ܡ졼
 *  ưǧѡ230400, 115200, 57600, 38400, 28800, 19200, 14400,
 *            9600, 7200, 4800, 3600, 2400, 1800, 1200, 600, 300
 */
#define UART_BAUDRATE		(19200)

/*
 *  Ѥ륷ꥢݡID(٥ɥ饤ФID)
 */
#define SIO_PORTID		(1)

#endif /* TOPPERS_TARGET_SYSSVC_H */
